Bug 1185740 - [Tracker] Cockpit / PCP integration bugs
Summary: [Tracker] Cockpit / PCP integration bugs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: pcp-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1182184 1182949 1185749 1185755 1185760 1185764 1187159 1187588 1188193 1196543
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-26 08:18 UTC by Marius Vollmer
Modified: 2019-03-05 05:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 05:01:44 UTC


Attachments (Terms of Use)

Description Marius Vollmer 2015-01-26 08:18:20 UTC
This bug tracks bugs related to the use of PCP by Cockpit.

Comment 1 Marius Vollmer 2015-02-24 13:11:02 UTC
Let's try to summarize the big picture as of now.

* Important to fix

Bug 1185760 - Default pmlogger config depends on pmcd but doesn't ensure it is running

This might lead to random failures to start pmlogger on boot.  The fix is simple.

* Important to understand

Bug 1182184 - reduced installation footprint for minimal pcp applications

This doesn't affect Cockpit directly, but it risks the ability of Cockpit to be installed and enabled by default and we must make sure that we don't get stuck in the tarpit of discussions here.

* UX degradation

Bug 1185764 - pmlogger.service status does not reflect reality 
Bug 1185755 - "systemctl start pmlogger" does nothing unless pmlogger.service is also enabled

This means that Cockpit can not use the normal tools for maintaining the status of the pmlogger service and we must either invent new and inconsistent tools just for pmlogger or (more likely) fail to offer any.

* Fixed via hacks in Cockpit

Bug 1185749 - Need to run pmcd at least once before pmval -L will work
Bug 1187588 - PM_CONTEXT_LOCAL crashes process when /etc/pcp.conf is unreadable

These shouldn't affect Cockpit, but the workarounds make Cockpit dependent on PCP internals.

* Potential intergration blockers

Bug 1182184 - reduced installation footprint for minimal pcp applications

This doesn't affect Cockpit directly, but they risk the ability of Cockpit to be installed and enabled by default.

Comment 2 Marius Vollmer 2015-02-24 13:12:51 UTC
> * Potential intergration blockers

Sorry, I forgot to remove this duplicate paragraph.

Comment 3 Nathan Scott 2019-03-05 05:01:44 UTC
Reviewing the original BZ list, we're all done here - or as done as we're ever likely to be.  From memory there remains one other Cockpit threaded-crash BZ still WIP on the Cockpit side, but I think we're finished with all the PCP issues.


Note You need to log in before you can comment on or make changes to this bug.